Subject: Re: [PATCH net-next v3 4/8] dpaa2-switch: add ENDPOINT_CHANGED to the irq_mask

From: Simon Horman <[email-masked]>
Date: Wed, 20 Dec 2023 15:47:27 +0100

On Tue, Dec 19, 2023 at 01:59:29PM +0200, Ioana Ciornei wrote:
> Commit 84cba72956fd ("dpaa2-switch: integrate the MAC endpoint support")
> added support for MAC endpoints in the dpaa2-switch driver but omitted
> to add the ENDPOINT_CHANGED irq to the list of interrupt sources. Fix
> this by extending the list of events which can raise an interrupt by
> extending the mask passed to the dpsw_set_irq_mask() firmware API.
> 
> There is no user visible impact even without this patch since whenever a
> switch interface is connected/disconnected from an endpoint both events
> are set (LINK_CHANGED and ENDPOINT_CHANGED) and, luckily, the
> LINK_CHANGED event could actually raise the interrupt and thus get the
> MAC/PHY SW configuration started.
> 
> Even with this, it's better to just not rely on undocumented firmware
> behavior which can change.
> 
> Signed-off-by: Ioana Ciornei <[email-masked]>
> ---
> Changes in v3:
> - removed the fixes tag
> Changes in v2:
> - add a bit more info in the commit message

Thanks for the updates.

Reviewed-by: Simon Horman <[email-masked]>